EMF::EMRRECTANGLE(3)

NAME
EMF::EMRRECTANGLE - EMF Rectangle.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD.

  Public Member Functions

EMRRECTANGLE (INT left, INT top, INT right, INT bottom)
EMRRECTANGLE (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF Rectangle.

Draw a rectangle.

Constructor & Destructor Documentation

  EMF::EMRRECTANGLE::EMRRECTANGLE (INT left, INT top, INT right, INT bottom) [inline]

Parameters
    left x position of left side of rectangle.
    top y position of top side of rectangle.
    right x position of right edge of rectangle.
    bottom y position of bottom edge of rectangle.

References EMRRECTANGLE().

Referenced by EMRRECTANGLE().

  EMF::EMRRECTANGLE::EMRRECTANGLE (DATASTREAM & ds) [inline]
Construct a Rectangle record from the input stream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRRECTANGLE::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRRECTANGLE::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRRECTANGLE::size (void ) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.